### Function

# Foundry file_find_regex_with_depth

#### Declaration [src]

    DexFuture*
    foundry_file_find_regex_with_depth (
      GFile* file,
      GRegex* regex,
      guint max_depth
    )

#### Description [src]

Locates files starting from `file` matching `regex`.

The regex will be passed the name within the parent directory, not the enter path from `file`.

#### Parameters

`file`

  Type: `GFile`

  An `GFile`.

  The data is owned by the caller of the function.

`regex`

  Type: `GRegex`

  A regex to match filenames within descendants.

  The data is owned by the caller of the function.

`max_depth`

  Type: `guint`

  The max depth to recurse.

#### Return value

Type: `DexFuture`

A `DexFuture`.

The caller of the function takes ownership of the data, and is responsible for freeing it.